org.apache.avro.ipc

## Class HandshakeResponse

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - org.apache.avro.ipc.HandshakeResponse

- All Implemented Interfaces:
    Externalizable, Serializable, Comparable<SpecificRecord>, GenericContainer, GenericRecord, IndexedRecord, SpecificRecord

      public class HandshakeResponse
      extends SpecificRecordBase
      implements SpecificRecord

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HandshakeResponse.Builder` RecordBuilder for HandshakeResponse instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Schema` | `SCHEMA$`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandshakeResponse()` Default constructor.
    `HandshakeResponse(HandshakeMatch match, String serverProtocol, MD5 serverHash, Map<String,ByteBuffer> meta)` All-args constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BinaryMessageDecoder<HandshakeResponse>` | `createDecoder(SchemaStore resolver)` Create a new BinaryMessageDecoder instance for this class that uses the specified `SchemaStore`.
    `void` | `customDecode(ResolvingDecoder in)`
    `void` | `customEncode(Encoder out)`
    `static HandshakeResponse` | `fromByteBuffer(ByteBuffer b)` Deserializes a HandshakeResponse from a ByteBuffer.
    `Object` | `get(int field$)` Return the value of a field given its position in the schema.
    `static Schema` | `getClassSchema()`
    `static BinaryMessageDecoder<HandshakeResponse>` | `getDecoder()` Return the BinaryMessageDecoder instance used by this class.
    `static BinaryMessageEncoder<HandshakeResponse>` | `getEncoder()` Return the BinaryMessageEncoder instance used by this class.
    `HandshakeMatch` | `getMatch()` Gets the value of the 'match' field.
    `Map<String,ByteBuffer>` | `getMeta()` Gets the value of the 'meta' field.
    `Optional<HandshakeMatch>` | `getOptionalMatch()` Gets the value of the 'match' field as an Optional<org.apache.avro.ipc.HandshakeMatch>.
    `Optional<Map<String,ByteBuffer>>` | `getOptionalMeta()` Gets the value of the 'meta' field as an Optional<java.util.Map>.
    `Optional<MD5>` | `getOptionalServerHash()` Gets the value of the 'serverHash' field as an Optional<org.apache.avro.ipc.MD5>.
    `Optional<String>` | `getOptionalServerProtocol()` Gets the value of the 'serverProtocol' field as an Optional<java.lang.String>.
    `Schema` | `getSchema()` The schema of this instance.
    `MD5` | `getServerHash()` Gets the value of the 'serverHash' field.
    `String` | `getServerProtocol()` Gets the value of the 'serverProtocol' field.
    `SpecificData` | `getSpecificData()`
    `protected boolean` | `hasCustomCoders()` Returns true iff an instance supports the `MessageEncoder.encode(D)` and `MessageDecoder.decode(java.io.InputStream)` operations.
    `static HandshakeResponse.Builder` | `newBuilder()` Creates a new HandshakeResponse RecordBuilder.
    `static HandshakeResponse.Builder` | `newBuilder(HandshakeResponse.Builder other)` Creates a new HandshakeResponse RecordBuilder by copying an existing Builder.
    `static HandshakeResponse.Builder` | `newBuilder(HandshakeResponse other)` Creates a new HandshakeResponse RecordBuilder by copying an existing HandshakeResponse instance.
    `void` | `put(int field$, Object value$)` Set the value of a field given its position in the schema.
    `void` | `readExternal(ObjectInput in)`
    `void` | `setMatch(HandshakeMatch value)` Sets the value of the 'match' field.
    `void` | `setMeta(Map<String,ByteBuffer> value)` Sets the value of the 'meta' field.
    `void` | `setServerHash(MD5 value)` Sets the value of the 'serverHash' field.
    `void` | `setServerProtocol(String value)` Sets the value of the 'serverProtocol' field.
    `ByteBuffer` | `toByteBuffer()` Serializes this HandshakeResponse to a ByteBuffer.
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, equals, get, getConversion, getConversion, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.avro.generic.GenericRecord

      `hasField`

- - ### Field Detail

    - #### SCHEMA$

          public static final Schema SCHEMA$

  - ### Constructor Detail

    - #### HandshakeResponse

          public HandshakeResponse()

      Default constructor. Note that this does not initialize fields to their default values from the schema. If that is desired then one should use `newBuilder()`.

    - #### HandshakeResponse

          public HandshakeResponse(HandshakeMatch match,
                                   String serverProtocol,
                                   MD5 serverHash,
                                   Map<String,ByteBuffer> meta)

      All-args constructor.
      Parameters:
        `match` - The new value for match
        `serverProtocol` - The new value for serverProtocol
        `serverHash` - The new value for serverHash
        `meta` - The new value for meta

  - ### Method Detail

    - #### getClassSchema

          public static Schema getClassSchema()

    - #### getEncoder

          public static BinaryMessageEncoder<HandshakeResponse> getEncoder()

      Return the BinaryMessageEncoder instance used by this class.
      Returns:
        the message encoder used by this class

    - #### getDecoder

          public static BinaryMessageDecoder<HandshakeResponse> getDecoder()

      Return the BinaryMessageDecoder instance used by this class.
      Returns:
        the message decoder used by this class

    - #### createDecoder

          public static BinaryMessageDecoder<HandshakeResponse> createDecoder(SchemaStore resolver)

      Create a new BinaryMessageDecoder instance for this class that uses the specified `SchemaStore`.
      Parameters:
        `resolver` - a `SchemaStore` used to find schemas by fingerprint
      Returns:
        a BinaryMessageDecoder instance for this class backed by the given SchemaStore

    - #### toByteBuffer

          public ByteBuffer toByteBuffer()
                                  throws IOException

      Serializes this HandshakeResponse to a ByteBuffer.
      Returns:
        a buffer holding the serialized data for this instance
      Throws:
        `IOException` - if this instance could not be serialized

    - #### fromByteBuffer

          public static HandshakeResponse fromByteBuffer(ByteBuffer b)
                                                  throws IOException

      Deserializes a HandshakeResponse from a ByteBuffer.
      Parameters:
        `b` - a byte buffer holding serialized data for an instance of this class
      Returns:
        a HandshakeResponse instance decoded from the given buffer
      Throws:
        `IOException` - if the given bytes could not be deserialized into an instance of this class

    - #### getSpecificData

          public SpecificData getSpecificData()

      Overrides:
        `getSpecificData` in class `SpecificRecordBase`

    - #### getSchema

          public Schema getSchema()

      Description copied from interface: `GenericContainer`
      The schema of this instance.
      Specified by:
        `getSchema` in interface `GenericContainer`
      Specified by:
        `getSchema` in class `SpecificRecordBase`

    - #### get

          public Object get(int field$)

      Description copied from interface: `IndexedRecord`
      Return the value of a field given its position in the schema.

      This method is not meant to be called by user code, but only by `DatumWriter` implementations.

      Specified by:
        `get` in interface `IndexedRecord`
      Specified by:
        `get` in class `SpecificRecordBase`

    - #### put

          public void put(int field$,
                          Object value$)

      Description copied from interface: `IndexedRecord`
      Set the value of a field given its position in the schema.

      This method is not meant to be called by user code, but only by `DatumReader` implementations.

      Specified by:
        `put` in interface `IndexedRecord`
      Specified by:
        `put` in class `SpecificRecordBase`

    - #### getMatch

          public HandshakeMatch getMatch()

      Gets the value of the 'match' field.
      Returns:
        The value of the 'match' field.

    - #### getOptionalMatch

          public Optional<HandshakeMatch> getOptionalMatch()

      Gets the value of the 'match' field as an Optional<org.apache.avro.ipc.HandshakeMatch>.
      Returns:
        The value wrapped in an Optional<org.apache.avro.ipc.HandshakeMatch>.

    - #### setMatch

          public void setMatch(HandshakeMatch value)

      Sets the value of the 'match' field.
      Parameters:
        `value` - the value to set.

    - #### getServerProtocol

          public String getServerProtocol()

      Gets the value of the 'serverProtocol' field.
      Returns:
        The value of the 'serverProtocol' field.

    - #### getOptionalServerProtocol

          public Optional<String> getOptionalServerProtocol()

      Gets the value of the 'serverProtocol' field as an Optional<java.lang.String>.
      Returns:
        The value wrapped in an Optional<java.lang.String>.

    - #### setServerProtocol

          public void setServerProtocol(String value)

      Sets the value of the 'serverProtocol' field.
      Parameters:
        `value` - the value to set.

    - #### getServerHash

          public MD5 getServerHash()

      Gets the value of the 'serverHash' field.
      Returns:
        The value of the 'serverHash' field.

    - #### getOptionalServerHash

          public Optional<MD5> getOptionalServerHash()

      Gets the value of the 'serverHash' field as an Optional<org.apache.avro.ipc.MD5>.
      Returns:
        The value wrapped in an Optional<org.apache.avro.ipc.MD5>.

    - #### setServerHash

          public void setServerHash(MD5 value)

      Sets the value of the 'serverHash' field.
      Parameters:
        `value` - the value to set.

    - #### getMeta

          public Map<String,ByteBuffer> getMeta()

      Gets the value of the 'meta' field.
      Returns:
        The value of the 'meta' field.

    - #### getOptionalMeta

          public Optional<Map<String,ByteBuffer>> getOptionalMeta()

      Gets the value of the 'meta' field as an Optional<java.util.Map>.
      Returns:
        The value wrapped in an Optional<java.util.Map>.

    - #### setMeta

          public void setMeta(Map<String,ByteBuffer> value)

      Sets the value of the 'meta' field.
      Parameters:
        `value` - the value to set.

    - #### newBuilder

          public static HandshakeResponse.Builder newBuilder()

      Creates a new HandshakeResponse RecordBuilder.
      Returns:
        A new HandshakeResponse RecordBuilder

    - #### newBuilder

          public static HandshakeResponse.Builder newBuilder(HandshakeResponse.Builder other)

      Creates a new HandshakeResponse RecordBuilder by copying an existing Builder.
      Parameters:
        `other` - The existing builder to copy.
      Returns:
        A new HandshakeResponse RecordBuilder

    - #### newBuilder

          public static HandshakeResponse.Builder newBuilder(HandshakeResponse other)

      Creates a new HandshakeResponse RecordBuilder by copying an existing HandshakeResponse instance.
      Parameters:
        `other` - The existing instance to copy.
      Returns:
        A new HandshakeResponse RecordBuilder

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Overrides:
        `writeExternal` in class `SpecificRecordBase`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException

      Specified by:
        `readExternal` in interface `Externalizable`
      Overrides:
        `readExternal` in class `SpecificRecordBase`
      Throws:
        `IOException`

    - #### hasCustomCoders

          protected boolean hasCustomCoders()

      Description copied from class: `SpecificRecordBase`
      Returns true iff an instance supports the `MessageEncoder.encode(D)` and `MessageDecoder.decode(java.io.InputStream)` operations. Should only be used by `SpecificDatumReader/Writer` to selectively use `SpecificRecordBase.customEncode(org.apache.avro.io.Encoder)` and `SpecificRecordBase.customDecode(org.apache.avro.io.ResolvingDecoder)` to optimize the (de)serialization of values.
      Overrides:
        `hasCustomCoders` in class `SpecificRecordBase`

    - #### customEncode

          public void customEncode(Encoder out)
                            throws IOException

      Overrides:
        `customEncode` in class `SpecificRecordBase`
      Throws:
        `IOException`

    - #### customDecode

          public void customDecode(ResolvingDecoder in)
                            throws IOException

      Overrides:
        `customDecode` in class `SpecificRecordBase`
      Throws:
        `IOException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.